Skip to main content
DELETE
https://api-zangtable.com
/
projects
/
{project}
/
auth
/
tokens
/
{token_id}
DELETE /projects/{project}/auth/tokens/{token_id}
curl --request DELETE \
  --url https://api-zangtable.com/projects/{project}/auth/tokens/{token_id} \
  --header 'Authorization: <authorization>'
{
  "ok": true,
  "data": {},
  "error": {},
  "request_id": "<string>"
}
Revokes a token by id.

Endpoint details

Authorization
string
required
Bearer pat_... (Project API Token). Keep this token on your backend/server.
project
string
required
Project slug. This acts as the Project ID in API paths.
token_id
string
required
Token ID returned by the token list or create response.
ok
boolean
required
true for a successful response and false for an error response.
data
object | null
Endpoint-specific response data when ok is true; null on errors.
error
object | null
Error code and message when ok is false; null on success.
request_id
string
required
Request identifier you can use when troubleshooting a specific API call.

Authentication

Project API Token. You may only revoke tokens your credential is allowed to manage.

Parameters

Path: token_id integer required.

Request examples

Basic request:
curl -X DELETE "$BASE_URL/projects/{project}/auth/tokens/{token_id}" \
  -H 'Authorization: Bearer pat_PROJECT_TOKEN'
Full request:
curl -X DELETE "$BASE_URL/projects/{project}/auth/tokens/{token_id}" \
  -H 'Authorization: Bearer pat_PROJECT_TOKEN' \
  -H 'X-Operation-Key: edit-profile-email' \
  -H 'X-Operation-Run-Id: oprun_client_20260602_001'

Response examples

Success:
{
  "ok": true,
  "data": {
    "revoked": true,
    "token_id": 9
  },
  "error": null,
  "request_id": "req_20260602T012345_123456Z_abc123def456",
  "operation_key": "edit-profile-email",
  "operation_run_id": "oprun_20260602T012300_000000Z_a1b2c3d4e5f6",
  "operation_grouping_status": "accepted_provided_run",
  "meta": {
    "generated_at": "2026-06-02T01:23:45Z"
  }
}
Error or alternate response:
{
  "ok": false,
  "data": null,
  "error": {
    "code": "permission_denied",
    "message": "This credential cannot revoke that token."
  },
  "request_id": "req_20260602T012345_123456Z_abc123def456",
  "meta": {
    "generated_at": "2026-06-02T01:23:45Z"
  }
}